# Тут будут мои настройки

[manager]
sort_by = "natural" # Как алфавит, но не "1 < 10 < 2", а "1 < 2 < 10"
sort_dir_first = true # Чтоб директории были первыми, не смотря на сортировку
#show_hidden = true # Показывать скрытые файлы. Спорно, потому что они первые в списке, бесит. Мб проще бинд юзать

[plugin]
prepend_previewers = [
    # Preview markdown files
    { name = "*.md", run = "glow" },
    # Preview audio metadata and cover
    { mime = "audio/*",   run = "exifaudio"}, 
    # Preview csv files
    { mime = "text/csv", run = "miller"},
    # Preview archives
    { mime = "application/*zip", run = "ouch" },
    { mime = "application/x-tar", run = "ouch" },
    { mime = "application/x-bzip2", run = "ouch" },
    { mime = "application/x-7z-compressed", run = "ouch" },
    { mime = "application/x-rar", run = "ouch" },
    { mime = "application/x-xz", run = "ouch" },
]

[opener]
view = [
    { run = 'imv "$@"', desc = "View selected images", orphan = true },
]

[open]
prepend_rules = [ # Чтоб мои настройки были в приоритете
    { mime = "image/*", use = "view" },
]